// pages/components/blocks/commentsCarousel/commentsCarousel.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    carouselImgs: {
      type: Array
    },
    current: {
      type: Number
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    indicatorDots: false,
    vertical: false,
    autoplay: false,
    interval: 2000,
    duration: 500,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    hideCarousel() {
      this.triggerEvent('hideCarousel')
    }
  }
})
